!
! Define the Pulse Repetition Interval structure for Ver 1 of RIQ file format
!
! T. Bullett    27Aug08   g95
!
! 14Feb09 TWB  Included PCT in the PRI
!              Moved RangeCal and RangeTable to the Ionogram() structure
!              NOTE:  The calling program must also include the definition of PCT
!                     before including this file.
!
!
INTEGER,PARAMETER :: MAXRG=2048
INTEGER,PARAMETER :: MAXRX=8
!
TYPE :: PRItype
REAL :: Frequency
REAL :: Time,GateStart,GateStep,RelativeTime
INTEGER :: PulsetLength, PulsetIndex, ReceiverCount, GateCount
TYPE (PCTtype) :: PCT
COMPLEX,DIMENSION(MAXRX,MAXRG) :: Ascan
END TYPE PRItype
