REAL FUNCTION RangeCal(URSIcode, EpochTime)


CHARACTER(LEN=5),INTENT(IN):: URSIcode
INTEGER(KIND=4),INTENT(IN)::  EpochTime


RangeCal=0.0

SELECT CASE (URSIcode)
CASE('XX000')    !    Default station code
   RangeCal=0.0
CASE('BD840')    ! Boulder
   RangeCal=-5.25
CASE('HAJ45')    ! Hanscom
   RangeCal=0.0
CASE ('JM91J')   ! Jicamarca
   RangeCal=0.0   
CASE ('WI937')   ! Wallops Island
   RangeCal=-6.0
CASE DEFAULT 
  RangeCal=0.0 
END SELECT 

RETURN
END
