LOGICAL FUNCTION READSCT(IU,  SCT)  
! Read the the Sounding Configuration Table (SCT)
!
! Return value is TRUE if there is some problem, such as EOF
!
!
IMPLICIT NONE
INCLUDE 'sct.f90'   ! SCT

!
INTEGER,INTENT(IN):: IU
INTEGER:: IERR
TYPE(SCTtype),INTENT(OUT) :: SCT
!
IERR=0
READSCT=.FALSE.
CALL ZeroSCT(SCT)
READ(IU,IOSTAT=IERR) SCT
IF(IERR.NE.0) THEN
   READSCT=.TRUE.
   RETURN
ENDIF

RETURN
END FUNCTION READSCT



