!=====================================================================

SUBROUTINE ZeroPCT(PCT)
!
!  Zeros the values in the PCT Structure
!
!  Terry Bullett   04Nov08  Version 1.2
!
IMPLICIT NONE
INCLUDE 'pct.f90'
TYPE(PCTtype) :: PCT
!
PCT%record_id=0
PCT%pri_ut=0.0
PCT%pri_time_offset=0.0
PCT%base_id=0
PCT%pulse_id=0
PCT%repeat_id=0
PCT%loop_id=0
PCT%frequency=0.0
PCT%nco_tune_word=0
PCT%drive_attenuation=0.0
PCT%pa_flags=0
PCT%pa_forward_power=0.0
PCT%pa_reflected_power=0.0 
PCT%pa_vswr=0.0
PCT%pa_temperature=0.0
PCT%proc_range_count=0
PCT%proc_noise_level=0.0
PCT%user='null'

RETURN
END
