!=====================================================================

SUBROUTINE ZeroSCT(SCT)
!
!  Zeros the values in the SCT Structure (Version 1 format RIQ file)
!
!  Terry Bullett   04Nov08   Version 1.2
!
IMPLICIT NONE
INCLUDE 'sct.f90'
TYPE(SCTtype) :: SCT
!
SCT%magic=z'51495200'
SCT%sounding_table_size=sizeof(SCT)
SCT%pulse_table_size=0 
SCT%raw_data_size=0
SCT%struct_version=1.20
SCT%start_year=1970
SCT%start_daynumber=1
SCT%start_month=1
SCT%start_day=1  
SCT%start_hour=0 
SCT%start_minute=0
SCT%start_second=0
SCT%start_epoch=0
SCT%readme='Dummy Test Header'
SCT%user='blank'
!SCT.station
SCT%station%file_id='/dev/null'
SCT%station%ursi_id='XX000'
SCT%station%rx_name='undefined'
SCT%station%rx_latitude=0.00
SCT%station%rx_longitude=0.00
SCT%station%rx_altitude=0.00 
SCT%station%rx_count=0
SCT%station%rx_antenna_type='none'
SCT%station%rx_position=0.0
SCT%station%rx_direction=0.0
SCT%station%rx_height=0.0
SCT%station%rx_cable_length=0.0
SCT%station%frontend_atten=0.0
SCT%station%tx_name='unknown'
SCT%station%tx_latitude=0.0
SCT%station%tx_longitude=0.0
SCT%station%tx_altitude=0.0
SCT%station%tx_antenna_type='none'
SCT%station%tx_vector=0.0
SCT%station%tx_height=0.0
SCT%station%tx_cable_length=0.0
SCT%station%drive_band_count=0
SCT%station%drive_band_bounds=0.0
SCT%station%drive_band_atten=0.0
SCT%station%rf_control=-1
SCT%station%ref_type='unknown'
SCT%station%clock_type='unknown'
SCT%station%user='blank'
! SCT.timing
SCT%timing%file_id='/dev/null'
SCT%timing%pri=0.0
SCT%timing%pri_count=0
SCT%timing%ionogram_count=0
SCT%timing%holdoff=0.0
SCT%timing%gate_count=0
SCT%timing%range_gate_offset=0.0
SCT%timing%gate_start=0.0
SCT%timing%gate_end=0.0
SCT%timing%gate_step=0.0
SCT%timing%data_start=0.0
SCT%timing%data_width=0.0
SCT%timing%data_baud_count=0
SCT%timing%data_wave_file='/dev/null'
SCT%timing%data_baud=0.0
SCT%timing%data_pairs=0
SCT%timing%cal_start=0.0
SCT%timing%cal_width=0.0
SCT%timing%cal_baud_count=0
SCT%timing%cal_wave_file='/dev/null'
SCT%timing%cal_baud=0.0
SCT%timing%cal_pairs=0
SCT%timing%user='blank'
!
! Frequency
SCT%frequency%file_id='/dev/null'
SCT%frequency%base_start=0.0
SCT%frequency%base_end=0.0
SCT%frequency%base_steps=0
SCT%frequency%tune_type=0
SCT%frequency%base_table=0.0
SCT%frequency%linear_step=0.0
SCT%frequency%log_step=0.0
SCT%frequency%freq_table_id='/dev/null'
SCT%frequency%tune_steps=0
SCT%frequency%pulse_count=0
SCT%frequency%pulse_pattern=0
SCT%frequency%pulse_offset=0.0
SCT%frequency%ramp_steps=0
SCT%frequency%ramp_repeats=0
SCT%frequency%user='blank'

! Receiver
SCT%receiver%file_id='/dev/null'
SCT%receiver%rx_chan=0
SCT%receiver%rx_map=0
SCT%receiver%word_format=0
SCT%receiver%cic2_dec=0
SCT%receiver%cic2_interp=0
SCT%receiver%cic2_scale=0
SCT%receiver%cic5_dec=0
SCT%receiver%cic5_scale=0
SCT%receiver%rcf_type='unknown'
SCT%receiver%rcf_dec=0
SCT%receiver%rcf_taps=0
SCT%receiver%coefficients=0
SCT%receiver%analog_delay=0.0
SCT%receiver%user='blank'
!
! Exciter
SCT%exciter%file_id='/dev/null'
SCT%exciter%cic_scale=0
SCT%exciter%cic2_dec=0
SCT%exciter%cic2_interp=0
SCT%exciter%cic5_interp=0
SCT%exciter%rcf_type='unknown'
SCT%exciter%rcf_taps=0
SCT%exciter%rcf_taps_phase=0
SCT%exciter%coefficients=0
SCT%exciter%analog_delay=0.0
SCT%exciter%user='blank'
!
! Monitor
SCT%monitor%balun_currents=0
SCT%monitor%balun_status=0
SCT%monitor%front_end_status=0
SCT%monitor%receiver_status=0
SCT%monitor%exciter_status=0
SCT%monitor%user='blank'



RETURN
END
